import sbt.Keys._

lazy val  commonSettings = Seq(
    version := "1.0",
    scalaVersion := "2.11.8"
  )



lazy val root = (project in file(".")).
  settings(commonSettings: _*).
  settings(
    name := "indexing-test-one",
    libraryDependencies += "org.apache.spark" % "spark-sql_2.11" % "2.0.0" % "provided",
    libraryDependencies += "com.fasterxml.jackson.core" % "jackson-databind" % "2.2.2",
    libraryDependencies += "com.fasterxml.jackson.module" % "jackson-module-scala_2.11" % "2.5.1"





)
assemblyMergeStrategy in assembly := {
  case PathList("META-INF", xs @ _*) => MergeStrategy.discard
  case x => MergeStrategy.first
}

mainClass in assembly := Some("SpatioTextualIndex")